# ERROR:
# Error: Couldn't load required plugin /usr/lib64/dovecot/lib21_fts_flatcurve_plugin.so: Module is for different ABI version 2.3.ABIv19(2.3.19.1) (we have 2.3.ABIv20(2.3.20))

# cref:
#  /usr/lib/rpm/macros.d/macros.forge (@ redhat-rpm-config)
#  https://pagure.io/pgnd/pgnd-rpmbuild-macros/blob/main/f/macros.pgnd-rpmbuild (@ pgnd-rpmbuild-macros)
%{?_pgnd_macros}
%global  _owner pgnd
%global  _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )

# cref:
#	https://github.com/slusarz/dovecot-fts-flatcurve
#	https://build.opensuse.org/package/view_file/home:darix:playground/dovecot23-fts-flatcurve/dovecot23-fts-flatcurve.spec?expand=1
#	https://src.fedoraproject.org/rpms/dovecot-fts-xapian/blob/rawhide/f/dovecot-fts-xapian.spec
#	https://github.com/grosjo/fts-xapian

%global  _dovecot_fts_flatcurve_name       dovecot23_fts_flatcurve
%global  _dovecot_fts_flatcurve_comment    Dovecot FTS plugin based on Xapian.

# https://spdx.org/licenses/LGPL-2.1-only.html
%global  _dovecot_license LGPL-2.1-only

# https://github.com/slusarz/dovecot-fts-flatcurve
%global  _dovecot_fts_flatcurve_branch     master
%global  _dovecot_fts_flatcurve_shortbranch HEAD

%global  _dovecot_mod_dir    %{_libdir}/dovecot

# https://fedoraproject.org/wiki/Forge-hosted_projects_packaging_automation
%global forgeurl   https://github.com/slusarz/dovecot-fts-flatcurve
%global branch     %{_dovecot_fts_flatcurve_branch}
%forgemeta

# default 'dist' is built from branch-name; 'Release:' does _not!!_ like hyphens
%global dist .%{_owner}_%{_build_timestamp}.fc%{fedora}

Name:              %{_dovecot_fts_flatcurve_name}
Version:           %{scm}.%{_dovecot_fts_flatcurve_shortbranch}
Release:           0%{?dist}

Summary:           %{_dovecot_fts_flatcurve_comment}
License:           %{_dovecot_license}

URL:               %{forgeurl}
Source0:           %{forgesource}

BuildRequires:     autoconf
BuildRequires:     automake
BuildRequires:     dovecot-devel
BuildRequires:     gcc
BuildRequires:     gcc-c++
BuildRequires:     git
BuildRequires:     glibc-devel
BuildRequires:     libgcc
BuildRequires:     libstdc++-devel
BuildRequires:     libtool
BuildRequires:     make
BuildRequires:     mhash-devel
BuildRequires:     pkgconf
BuildRequires:     pkgconfig(icu-uc)
BuildRequires:     pkgconfig(sqlite3)
BuildRequires:     xapian-core-devel

Requires:          dovecot
Requires:          sqlite
Requires:          xapian-core

%description
%{_dovecot_fts_flatcurve_comment}

%prep
%forgesetup

%build
./autogen.sh
%configure --enable-static=no --with-dovecot=%{_libdir}/dovecot CFLAGS="%{optflags}" PANDOC=false
%make_build

%install
%make_install
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
mkdir -p %{buildroot}%{_libdir}/dovecot/doveadm
rm %{buildroot}/usr/include/dovecot-fts-flatcurve/fts-flatcurve-config.h


%files
%doc AUTHORS README.md
%license COPYING
%{_dovecot_mod_dir}/*.so
%{_dovecot_mod_dir}/doveadm/*.so

%changelog
* Tue Apr 15 2025 pgnd _ <null@null.loc>
- bump 1744765168
